body {
    height: 10vh;
    align-items: center;
    justify-content: center;
}

.loading {
    width: 300px;
    height: 300px;
    box-sizing: border-box;
    border-radius: 50%;
    border-top: 15px solid #e74c3c;
    position: relative;
    animation: a1 2s linear infinite;
}

.loading::before,
.loading::after {
    content: '';
    width: 300px;
    height: 300px;
    position: absolute;
    left: 0;
    top: -10px;
    box-sizing: border-box;
    border-radius: 50%;
}

.loading::before {
    border-top: 15px solid #e67e22;
    transform: rotate(120deg);
}

.loading::after {
    border-top: 15px solid #3498db;
    transform: rotate(240deg);
}

.loading span {
    position: absolute;
    width: 300px;
    height: 300px;
    color: #000;
    text-align: center;
    line-height: 250px;
    animation: a2 2s linear infinite;
}

@keyframes a1 {
    to {
        transform: rotate(360deg);
    }
}

@keyframes a2 {
    to {
        transform: rotate(-360deg);
    }
}